import java.io.IOException;
import java.nio.file.Path;
import java.util.ArrayList;
import java.util.Scanner;

/**
 * The class Execute is the execution file for the whole program.
 */
public class Execute {
    public static void main(String[] args) throws IOException {
//EXECUTE MENU OVERVIEW
        Data data = new Data("menue.txt");
        ArrayList<Menu> menu = data.readMenu();

        for (int i = 0; i < menu.size(); i++) {
            if (i % 4 == 0) {
                System.out.println();
                System.out.println("--------------------------------------");
                System.out.println(GeneralMethods.getDayNumberNew(menu.get(i).getDate()));
                System.out.println(menu.get(i).getDate());
                System.out.println();
            }
            System.out.println(menu.get(i));
        }

        System.out.println("a: Eier; b: Soja, c: Milch; d: Erdnüsse; e: Weichtiere; f: Krebstiere; g: Getreide; h: Senf\n"
                + "i: Sesam; j: Schwefeldioxid und Sulfit; k: Nüsse; l: Sellerie; m: Fische; n: Lupinen\n"
                + "1: Nitrit-Pökelsalz; 2: Phosphat; 3: Nitrat; 4: Antioxidationsmittel; 5: Farbstoff;\n"
                + "6: Geschmacksverstärker; 7: Süßungsmittel; 8: Konservierungsstoff");

        /**
         * In the Login-Area the user can type the phonenumber and the password to login.
         * In the Background, the class Login checks the input and return whether the login was correct or not.
         *
         * @author Kevin Pfannenstiel
         */
        System.out.println("");
        System.out.println("____________________________LOGIN_______________________________");
        Data userData = new Data("user.txt");
        Login login = new Login();
        Scanner leser = new Scanner(System.in);
        System.out.println("");
        System.out.println("Bitte einloggen");
        System.out.print("Telefonnummer: ");
        String phoneNumber = leser.nextLine();
        System.out.print("Passwort: ");
        String password = leser.nextLine();

        login.toLogin(userData.readUser(), password, phoneNumber);

        /**
         * Test zum Daten löschen
         * @author Felix Düsterhaus
         */
        Data orderData = new Data("orders2.txt");
        System.out.print("Möchten Sie Einträge löschen? (Y/N) ");
        String orderChangeDecision = leser.nextLine();
        if (orderChangeDecision.equals("Y") || orderChangeDecision.equals("y")) {
            ArrayList<Order> changedOrderList = orderData.changeOrder(phoneNumber);
        } else if (orderChangeDecision.equals("N") || orderChangeDecision.equals("n")) {
            System.out.println("Daten werden nicht geändert.");
        }
        while(!(orderChangeDecision.equals("Y") || orderChangeDecision.equals("y") || orderChangeDecision.equals("N") || orderChangeDecision.equals("n"))) {
            System.out.println("Bitte eine gültige Aussage treffen.\n");
            System.out.print("Möchten Sie Einträge löschen? (Y/N) ");
            orderChangeDecision = leser.nextLine();

            if (orderChangeDecision.equals("Y") || orderChangeDecision.equals("y")) {
                ArrayList<Order> changedOrderList = orderData.changeOrder(phoneNumber);
            } else if (orderChangeDecision.equals("N") || orderChangeDecision.equals("n")) {
                System.out.println("Daten werden nicht geändert.");
            }
        }
    }
}
